import req from '@/request.js'

const portal = window.context.portal
export default {
  // 添加装备系统
  getEqeSys(data, cb) {
    req.post(portal + `/biz/data/export/query`, data).then(res => {
      cb(res.data)
    })
  },
  // 导入列表

  getImport(data, cb) {
    req.post(portal + `/biz/data/import/query`, data).then(res => {
      cb(res.data)
    })
  },

  //下载模板
  downModel(data, cb) {
    req.get(portal + `/exam/equipment/sys/downModel`).then(rep => {
      cb(rep.data)
    })
  },
  //导入
  importExcel(data, cb) {
    req.post(portal + `/biz/data/import/importExcel`, data).then(res => {
      cb(res.data)
    })
  },
  //导出
  export(data, cb) {
    req.post(portal + `/biz/data/export/export`, data, 'blob').then(res => {
      cb(res.data)
    })
  }
  //   教练员数据
  //   getUsersByRoleCode(cb) {
  //     req.get(portal + `/api/role/v1/role/findByRoleCode/jly`).then(res => {
  //       console.log(res)

  //       cb(res)
  //     })
  //   }
  // 表格分页
}
